Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIPoll.Properties

    java.lang.Object
      java.lang.Enum<UIPoll.Properties>
          org.richfaces.component.UIPoll.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIPoll.Properties>

Enclosing class:
  UIPoll

    protected static enum UIPoll.Properties

extends Enum<UIPoll.Properties>

Enum Constant Summary
`bypassUpdates`
`data`
`enabled`
`execute`
`interval`
`limitRender`
`onbeforedomupdate`
`onbegin`
`oncomplete`
`ontimer`
`render`
`status`

Method Summary
`static UIPoll.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIPoll.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### bypassUpdates

    public static final UIPoll.Properties bypassUpdates

### data

    public static final UIPoll.Properties data

### enabled

    public static final UIPoll.Properties enabled

### execute

    public static final UIPoll.Properties execute

### interval

    public static final UIPoll.Properties interval

### limitRender

    public static final UIPoll.Properties limitRender

### onbeforedomupdate

    public static final UIPoll.Properties onbeforedomupdate

### onbegin

    public static final UIPoll.Properties onbegin

### oncomplete

    public static final UIPoll.Properties oncomplete

### ontimer

    public static final UIPoll.Properties ontimer

### render

    public static final UIPoll.Properties render

### status

    public static final UIPoll.Properties status

Method Detail

### values

    public static UIPoll.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIPoll.Properties c : UIPoll.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIPoll.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.